@import '../../../styles/mixins';

.wrapper {
	@include center();
}

.label {
	margin: 0 10px;
	font-weight: bold;
}

.input {
	padding: 5px 10px;
	width: 70px;
	appearance: textfield;
	border: none;
	border-radius: 6px;
	box-shadow: 0 0 6px rgba(0, 0, 0, 0.4);
}

.rangeWrapper {
	$bar-height: 10px;

	@include center();
	position: relative;
	margin: 0 25px;
	min-width: 300px;

	.bar,
	.progress {
		height: $bar-height;
		border-radius: $bar-height;
	}

	.bar {
		width: 100%;
		background-color: lighten($primary-color, 10);

		.progress {
			position: absolute;
			top: 0;
			background-color: $primary-color-dark;
		}

		.steppedBar {
			position: absolute;
			top: 20px;
			display: flex;
			justify-content: space-between;
			align-items: center;
			width: 100%;
			color: $grey;

			> div {
				$size: 20px;
				margin-left: -$size / 2;
				margin-right: -$size / 2;
				width: $size;
				text-align: center;
			}
		}
	}

	.bullet {
		position: absolute;
		border-radius: 50%;
		background-color: $secondary-color;
		cursor: grab;
		z-index: 100;
	}
}
